Package de.willuhn.jameica.hbci.rmi

# Interface Transfer

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `AuslandsUeberweisung`, `BaseDauerauftrag`, `BaseUeberweisung`, `Dauerauftrag`, `HibiscusTransfer`, `Lastschrift`, `SammelLastBuchung`, `SammelTransferBuchung`, `SammelUeberweisungBuchung`, `SepaBooking`, `SepaDauerauftrag`, `SepaLastschrift`, `SepaSammelLastBuchung`, `SepaSammelTransferBuchung<T>`, `SepaSammelUeberweisungBuchung`, `Ueberweisung`, `Umsatz`

All Known Implementing Classes:
  `AbstractBaseDauerauftragImpl`, `AbstractBaseUeberweisungImpl`, `AbstractHibiscusTransferImpl`, `AbstractSammelTransferBuchungImpl`, `AbstractSepaSammelTransferBuchungImpl`, `AuslandsUeberweisungImpl`, `DauerauftragImpl`, `LastschriftImpl`, `SammelLastBuchungImpl`, `SammelUeberweisungBuchungImpl`, `SepaDauerauftragImpl`, `SepaLastschriftImpl`, `SepaSammelLastBuchungImpl`, `SepaSammelUeberweisungBuchungImpl`, `UeberweisungImpl`, `UmsatzImpl`

public interface Transfer extends Remote
Basis-Interface fuer eine Geld-Bewegung.

## Method Summary

Modifier and Type
Method
Description
`double`
`getBetrag()`
Liefert den Betrag.
`String`
`getGegenkontoBLZ()`
Liefert die BLZ des Gegenkontos.
`String`
`getGegenkontoName()`
Liefert den Namen des Kontoinhabers des Gegenkontos.
`String`
`getGegenkontoNummer()`
Liefert die Kontonummer des Gegenkontos.
`String[]`
`getWeitereVerwendungszwecke()`
Liefert eine Liste erweiterter Verwendungszwecke.
`String`
`getZweck()`
Liefert die Zeile 1 des Verwendungszwecks.
`String`
`getZweck2()`
Liefert die Zeile 2 des Verwendungszwecks.

## Method Details

### getGegenkontoNummer

String getGegenkontoNummer() throws RemoteException
Liefert die Kontonummer des Gegenkontos.

Returns:
  Kontonummer des Empfaengers.
Throws:
  `RemoteException`

### getGegenkontoBLZ

String getGegenkontoBLZ() throws RemoteException
Liefert die BLZ des Gegenkontos.

Returns:
  BLZ des Gegenkontos.
Throws:
  `RemoteException`

### getGegenkontoName

String getGegenkontoName() throws RemoteException
Liefert den Namen des Kontoinhabers des Gegenkontos.

Returns:
  Name des Kontoinhabers des Gegenkontos.
Throws:
  `RemoteException`

### getBetrag

double getBetrag() throws RemoteException
Liefert den Betrag.

Returns:
  Betrag.
Throws:
  `RemoteException`

### getZweck

String getZweck() throws RemoteException
Liefert die Zeile 1 des Verwendungszwecks.

Returns:
  Zeile 1 des Verwendungszwecks.
Throws:
  `RemoteException`

### getZweck2

String getZweck2() throws RemoteException
Liefert die Zeile 2 des Verwendungszwecks.

Returns:
  Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`

### getWeitereVerwendungszwecke

String[] getWeitereVerwendungszwecke() throws RemoteException
Liefert eine Liste erweiterter Verwendungszwecke.

Returns:
  Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`